> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://mailchimp.com/developer/marketing/api/reporting/get-survey-respons/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mailchimp.com/_mcp/server. # Get survey response GET https://api.mailchimp.com/3.0/reporting/surveys/{survey_id}/responses/{response_id} Get a single survey response. Reference: https://mailchimp.com/developer/marketing/api/reporting/get-survey-respons ## Authentication - `Authorization` header (bearer token, required) — Authorization using a Mailchimp API key (a.k.a. Bearer token) - `Authorization` header (bearer token, required) — Authorization using OAuth ## Request ### Path parameters - `survey_id` (string, required) — The ID of the survey. - `response_id` (string, required) — The ID of the survey response. ## Response ### 200 Get a single survey response. - `contact` (30ReportingSurveysSurveyIdResponsesResponseIdGetResponsesContentApplicationJsonSchemaContact, optional) — Information about the contact. - `is_new_contact` (boolean, optional) — If this contact was added to the Mailchimp audience via this survey. - `response_id` (string, optional) — The ID for the survey response. - `results` (list of 30ReportingSurveysSurveyIdResponsesResponseIdGetResponsesContentApplicationJsonSchemaResultsItems, optional) — The survey questions and the answers to those questions. - `submitted_at` (datetime, optional) — The date and time when the survey response was submitted in ISO 8601 format. ## Types ### 30ReportingSurveysSurveyIdResponsesResponseIdGetResponsesContentApplicationJsonSchemaContact Information about the contact. - `avatar_url` (string, optional) — URL for the contact's avatar or profile image. - `consents_to_one_to_one_messaging` (boolean, optional) — Indicates whether a contact consents to 1:1 messaging. - `contact_id` (string, optional) — The ID of this contact. - `email` (string, optional) — The contact's email address. - `email_id` (string, optional) — The MD5 hash of the lowercase version of the list member's email address. - `full_name` (string, optional) — The contact's full name. - `phone` (string, optional) — The contact's sms phone number. - `status` (enum, optional) — The contact's current status. - Allowed values: `Subscribed`, `Unsubscribed`, `Non-Subscribed`, `Cleaned`, `Archived` ### 30ReportingSurveysSurveyIdResponsesResponseIdGetResponsesContentApplicationJsonSchemaResultsItems A single question and the response to that question. - `answer` (string, optional) — The answer to this survey question. - `query` (string, optional) — The survey question. - `question_id` (string, optional) — The unique ID for this question. - `question_type` (enum, optional) — The type of question this is. - Allowed values: `pickOne`, `pickMany`, `range`, `text`, `email`, `contactInformation`, `dropdown` ## Examples **Response** ```json { "contact": { "avatar_url": "string", "consents_to_one_to_one_messaging": true, "contact_id": "string", "email": "string", "email_id": "string", "full_name": "string", "phone": "string", "status": "Subscribed" }, "is_new_contact": true, "response_id": "string", "results": [ { "answer": "string", "query": "string", "question_id": "string", "question_type": "pickOne" } ], "submitted_at": "2024-01-15T09:30:00Z" } ``` **SDK Code** ```python import requests url = "https://api.mailchimp.com/3.0/reporting/surveys/survey_id/responses/response_id" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.mailchimp.com/3.0/reporting/surveys/survey_id/responses/response_id'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.mailchimp.com/3.0/reporting/surveys/survey_id/responses/response_id" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.mailchimp.com/3.0/reporting/surveys/survey_id/responses/response_id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.mailchimp.com/3.0/reporting/surveys/survey_id/responses/response_id") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.mailchimp.com/3.0/reporting/surveys/survey_id/responses/response_id', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.mailchimp.com/3.0/reporting/surveys/survey_id/responses/response_id"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.mailchimp.com/3.0/reporting/surveys/survey_id/responses/response_id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Find all the Mailchimp API documentation and tools developers need to send marketing and transactional emails.